<script setup lang="ts">
import { ILayoutPos } from "@core";

interface AppColProps{
  layoutPos: ILayoutPos;
}

const props = withDefaults(defineProps<AppColProps>(), {

});

// use通用的layout解析逻辑。

const layoutMode = "";

onMounted(() => {
  console.log(props)
});

</script>

<template>
<div v-if="layoutMode == 'FLEX'" class="app-col">
  <slot></slot>
</div>
<a-col v-else class="app-col">
  <slot></slot>
</a-col>
</template>

<style lang="scss">

</style>